Bug 1429894 - xdriinfo does not detect direct rendering with libglvnd-*
Summary: xdriinfo does not detect direct rendering with libglvnd-*
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa-demos
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 12:11 UTC by Oliver Henshaw
Modified: 2017-04-01 17:18 UTC (History)
9 users (show)

Fixed In Version: mesa-demos-8.3.0-6.fc25 mesa-demos-8.3.0-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 18:55:42 UTC
Type: Bug


Attachments (Terms of Use)
strace of xdriinfo with libglvnd-* providing libGL etc. (12.40 KB, text/plain)
2017-03-07 12:11 UTC, Oliver Henshaw
no flags Details
"LD_DEBUG=libs xdriinfo" output with no libglvn-* (7.37 KB, text/plain)
2017-03-07 12:20 UTC, Oliver Henshaw
no flags Details
"LD_DEBUG=libs LIBGL_DEBUG=verbose glxinfo" output with no libglvnd-* (112.18 KB, text/plain)
2017-03-07 12:21 UTC, Oliver Henshaw
no flags Details
"LD_DEBUG=libs xdriinfo" output with libglvn-* installed (3.12 KB, text/plain)
2017-03-07 12:21 UTC, Oliver Henshaw
no flags Details
"LD_DEBUG=libs LIBGL_DEBUG=verbose glxinfo" output with libglvnd-* installed (113.11 KB, text/plain)
2017-03-07 12:22 UTC, Oliver Henshaw
no flags Details

Description Oliver Henshaw 2017-03-07 12:11:19 UTC
Created attachment 1260771 [details]
strace of xdriinfo with libglvnd-* providing libGL etc.

Description of problem:

Invoking driconf I get a warning window with "Could not detect any configurable direct-rendering capable devices. DRIconf will be started in expert mode."

$ xdriinfo 
Screen 0: not direct rendering capable.

But reverting to versions of mesa before https://bugzilla.redhat.com/show_bug.cgi?id=1413579 makes xdriinfo and driconf perform as expected.

In fact:
mesa-13.0.3-5.fc25 from https://koji.fedoraproject.org/koji/buildinfo?buildID=837227 is GOOD;
mesa-13.0.3-6.fc25 from https://koji.fedoraproject.org/koji/buildinfo?buildID=837235 with libglvnd-0.2.999-7.gitdc16f8c.fc25 from https://koji.fedoraproject.org/koji/buildinfo?buildID=835675 is BAD

AIUI the only difference is flipping the switch on the libglvnd integration.

I see this on several machines, with intel and amd IGPs and all running vanilla kde5/kwin on x11.


Version-Release number of selected component (if applicable):

glx-utils-8.3.0-3.fc24.x86_64
kwin-libs-5.8.6-1.fc25.x86_64
libglvnd-core-devel-0.2.999-7.gitdc16f8c.fc25.x86_64
libglvnd-devel-0.2.999-7.gitdc16f8c.fc25.x86_64
libglvnd-egl-0.2.999-7.gitdc16f8c.fc25.x86_64
libglvnd-egl-0.2.999-7.gitdc16f8c.fc25.i686
libglvnd-gles-0.2.999-7.gitdc16f8c.fc25.x86_64
libglvnd-glx-0.2.999-7.gitdc16f8c.fc25.x86_64
libglvnd-glx-0.2.999-7.gitdc16f8c.fc25.i686
libglvnd-opengl-0.2.999-7.gitdc16f8c.fc25.x86_64
mesa-dri-drivers-13.0.3-6.fc25.x86_64
mesa-dri-drivers-13.0.3-6.fc25.i686
mesa-filesystem-13.0.3-6.fc25.x86_64
mesa-filesystem-13.0.3-6.fc25.i686
mesa-libEGL-13.0.3-6.fc25.x86_64
mesa-libEGL-13.0.3-6.fc25.i686
mesa-libEGL-devel-13.0.3-6.fc25.x86_64
mesa-libGL-13.0.3-6.fc25.x86_64
mesa-libGL-13.0.3-6.fc25.i686
mesa-libGL-devel-13.0.3-6.fc25.x86_64
mesa-libGLES-13.0.3-6.fc25.x86_64
mesa-libGLU-9.0.0-10.fc24.x86_64
mesa-libGLU-9.0.0-10.fc24.i686
mesa-libGLU-devel-9.0.0-10.fc24.x86_64
mesa-libGLU-devel-9.0.0-10.fc24.x86_64
mesa-libgbm-13.0.3-6.fc25.x86_64
mesa-libgbm-13.0.3-6.fc25.i686
mesa-libglapi-13.0.3-6.fc25.x86_64
mesa-libglapi-13.0.3-6.fc25.i686
mesa-libwayland-egl-13.0.3-6.fc25.x86_64
mesa-libwayland-egl-13.0.3-6.fc25.i686
mesa-libxatracker-13.0.3-6.fc25.x86_64
mesa-vdpau-drivers-13.0.3-6.fc25.x86_64

Comment 1 Oliver Henshaw 2017-03-07 12:20:01 UTC
Created attachment 1260776 [details]
"LD_DEBUG=libs xdriinfo" output with no libglvn-*

Comment 2 Oliver Henshaw 2017-03-07 12:21:04 UTC
Created attachment 1260778 [details]
"LD_DEBUG=libs LIBGL_DEBUG=verbose glxinfo" output with no libglvnd-*

Comment 3 Oliver Henshaw 2017-03-07 12:21:45 UTC
Created attachment 1260779 [details]
"LD_DEBUG=libs xdriinfo" output with libglvn-* installed

Comment 4 Oliver Henshaw 2017-03-07 12:22:42 UTC
Created attachment 1260781 [details]
"LD_DEBUG=libs LIBGL_DEBUG=verbose glxinfo" output with libglvnd-* installed

Comment 5 Hans de Goede 2017-03-13 10:31:03 UTC
Looking into this now ...

Comment 6 Hans de Goede 2017-03-13 11:16:48 UTC
I've a fix ready, I'm preparing fixed package builds for F25+ now.

Comment 7 Fedora Update System 2017-03-13 12:18:58 UTC
mesa-demos-8.3.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b18daac8c

Comment 8 Fedora Update System 2017-03-13 12:19:09 UTC
mesa-demos-8.3.0-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-06f21e4e28

Comment 9 Fedora Update System 2017-03-14 01:23:39 UTC
mesa-demos-8.3.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b18daac8c

Comment 10 Fedora Update System 2017-03-14 03:21:23 UTC
mesa-demos-8.3.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-06f21e4e28

Comment 11 Oliver Henshaw 2017-03-14 17:41:30 UTC
Turns out this only partially solves the original problem with driconf.

$ xdriinfo 
Screen 0: radeonsi
$ xdriinfo options 0
Driver "radeonsi" is not installed or does not support configuration.

$ driconf 
Driver "radeonsi" is not installed or does not support configuration.
...

And it's a similar story with an r600 device.

Comment 12 Hans de Goede 2017-03-15 08:12:40 UTC
(In reply to Oliver Henshaw from comment #11)
> Turns out this only partially solves the original problem with driconf.
> 
> $ xdriinfo 
> Screen 0: radeonsi
> $ xdriinfo options 0
> Driver "radeonsi" is not installed or does not support configuration.

Does this work without glvnd ? I checked the code and from a glvnd pov there is nothing different between 
glXGetScreenDriver and glXGetDriverConfig.

> $ driconf 

driconf is a different program please file a separate bug for it.

Comment 13 Oliver Henshaw 2017-03-15 12:13:46 UTC
(In reply to Hans de Goede from comment #12)
> (In reply to Oliver Henshaw from comment #11)
> > Turns out this only partially solves the original problem with driconf.
> > 
> > $ xdriinfo 
> > Screen 0: radeonsi
> > $ xdriinfo options 0
> > Driver "radeonsi" is not installed or does not support configuration.
> 
> Does this work without glvnd ? I checked the code and from a glvnd pov there
> is nothing different between 
> glXGetScreenDriver and glXGetDriverConfig.

Yep, "xdriinfo option 0" works as expected with:
mesa-13.0.3-5.fc25 and glx-utils 8.3.0-3.fc24.x86_64

but not with:
mesa-13.0.3-6.fc25, glx-utils-8.3.0-6.fc25.x86_64 and libglvnd-glx-0.2.999-7.gitdc16f8c.fc25.x86_64

> 
> > $ driconf 
> 
> driconf is a different program please file a separate bug for it.

driconf is just a python script that calls "xdriinfo" and "xdriinfo options".

Comment 14 Fedora Update System 2017-03-15 18:23:07 UTC
mesa-demos-8.3.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Hans de Goede 2017-03-20 09:16:35 UTC
(In reply to Oliver Henshaw from comment #13)
> (In reply to Hans de Goede from comment #12)
> > (In reply to Oliver Henshaw from comment #11)
> > > Turns out this only partially solves the original problem with driconf.
> > > 
> > > $ xdriinfo 
> > > Screen 0: radeonsi
> > > $ xdriinfo options 0
> > > Driver "radeonsi" is not installed or does not support configuration.
> > 
> > Does this work without glvnd ? I checked the code and from a glvnd pov there
> > is nothing different between 
> > glXGetScreenDriver and glXGetDriverConfig.
> 
> Yep, "xdriinfo option 0" works as expected with:
> mesa-13.0.3-5.fc25 and glx-utils 8.3.0-3.fc24.x86_64
> 
> but not with:
> mesa-13.0.3-6.fc25, glx-utils-8.3.0-6.fc25.x86_64 and
> libglvnd-glx-0.2.999-7.gitdc16f8c.fc25.x86_64

Ok, so there is a mesa bug involved here too. I now have xdriinfo working with glvnd and a fixed mesa. I'm preparing fixed package builds for F25+ now.

Comment 16 Fedora Update System 2017-03-20 15:07:07 UTC
mesa-17.0.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-20709e6c23

Comment 17 Fedora Update System 2017-03-20 15:07:31 UTC
mesa-13.0.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a85ea344c6

Comment 18 Fedora Update System 2017-03-20 18:50:09 UTC
mesa-17.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-741d36d0b1

Comment 19 Fedora Update System 2017-03-21 05:21:30 UTC
mesa-13.0.4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a85ea344c6

Comment 20 Fedora Update System 2017-03-21 14:25:43 UTC
mesa-17.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-741d36d0b1

Comment 21 Fedora Update System 2017-03-24 18:55:42 UTC
mesa-13.0.4-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-04-01 17:00:04 UTC
mesa-demos-8.3.0-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-04-01 17:18:19 UTC
mesa-17.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.